Update one autopilot.
curl --request PATCH \
--url https://openagents.com/api/autopilots/{autopilot} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"avatar": "<string>",
"displayName": "Autopilot",
"policy": {
"dataPolicy": {},
"l402AllowedHosts": [
"<string>"
],
"l402MaxSpendMsatsPerCall": 123,
"l402MaxSpendMsatsPerDay": 123,
"l402RequireApproval": true,
"model": "<string>",
"modelProvider": "<string>",
"toolAllowlist": [
"<string>"
],
"toolDenylist": [
"<string>"
]
},
"profile": {
"autopilotVoice": "<string>",
"onboardingAnswers": {},
"ownerDisplayName": "<string>",
"personaSummary": "<string>",
"preferences": {},
"principles": [
"<string>"
],
"schemaVersion": 123
},
"status": "active",
"tagline": "<string>",
"visibility": "private"
}
'import requests
url = "https://openagents.com/api/autopilots/{autopilot}"
payload = {
"avatar": "<string>",
"displayName": "Autopilot",
"policy": {
"dataPolicy": {},
"l402AllowedHosts": ["<string>"],
"l402MaxSpendMsatsPerCall": 123,
"l402MaxSpendMsatsPerDay": 123,
"l402RequireApproval": True,
"model": "<string>",
"modelProvider": "<string>",
"toolAllowlist": ["<string>"],
"toolDenylist": ["<string>"]
},
"profile": {
"autopilotVoice": "<string>",
"onboardingAnswers": {},
"ownerDisplayName": "<string>",
"personaSummary": "<string>",
"preferences": {},
"principles": ["<string>"],
"schemaVersion": 123
},
"status": "active",
"tagline": "<string>",
"visibility": "private"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
avatar: '<string>',
displayName: 'Autopilot',
policy: {
dataPolicy: {},
l402AllowedHosts: ['<string>'],
l402MaxSpendMsatsPerCall: 123,
l402MaxSpendMsatsPerDay: 123,
l402RequireApproval: true,
model: '<string>',
modelProvider: '<string>',
toolAllowlist: ['<string>'],
toolDenylist: ['<string>']
},
profile: {
autopilotVoice: '<string>',
onboardingAnswers: {},
ownerDisplayName: '<string>',
personaSummary: '<string>',
preferences: {},
principles: ['<string>'],
schemaVersion: 123
},
status: 'active',
tagline: '<string>',
visibility: 'private'
})
};
fetch('https://openagents.com/api/autopilots/{autopilot}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"avatar": "<string>",
"configVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"handle": "<string>",
"id": "<string>",
"ownerUserId": 123,
"status": "<string>",
"tagline": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibility": "<string>"
}
}{
"message": "Unauthenticated."
}{
"message": "Not found."
}{
"errors": {},
"message": "The given data was invalid."
}Autopilot
Update one autopilot.
PATCH
/
api
/
autopilots
/
{autopilot}
Update one autopilot.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Update autopilot fields and optional profile/policy blocks.
Maximum string length:
255Maximum string length:
120Example:
"Autopilot"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"active"
Maximum string length:
255Example:
"private"
Response
Autopilot resource payload
Show child attributes
Show child attributes
⌘I